aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-12-19 15:29:44 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-12-19 15:30:16 +0100
commitb4ca09fb4c5ec53216d2797e0a6e39a116931d46 (patch)
treebf80379801e7356aca41385191c2a284997c3004
parentf82ed56f8dd3e5a8ab11a39e75d7c37922cd3691 (diff)
downloadaports-b4ca09fb4c5ec53216d2797e0a6e39a116931d46.tar.bz2
aports-b4ca09fb4c5ec53216d2797e0a6e39a116931d46.tar.xz
testing/acme-client: add ca-certificates and default directories
-rw-r--r--testing/acme-client/APKBUILD12
1 files changed, 8 insertions, 4 deletions
diff --git a/testing/acme-client/APKBUILD b/testing/acme-client/APKBUILD
index 2264698439..a6aa8c8b28 100644
--- a/testing/acme-client/APKBUILD
+++ b/testing/acme-client/APKBUILD
@@ -3,12 +3,12 @@
pkgname=acme-client
pkgver=0.1.15
_ver=${pkgver//./_}
-pkgrel=1
+pkgrel=2
pkgdesc="An ACME client for Let's Encrypt written in C"
url="https://github.com/kristapsdz/acme-client-portable"
arch="all"
license="ISC"
-depends=""
+depends="ca-certificates"
makedepends="bsd-compat-headers libressl-dev"
install=""
subpackages="$pkgname-doc"
@@ -25,8 +25,12 @@ build() {
package() {
cd "$builddir"
- make DESTDIR=$pkgdir PREFIX=/usr MAN1DIR=/usr/share/man/man1 install \
- || return 1
+ make DESTDIR=$pkgdir \
+ PREFIX=/usr \
+ MAN1DIR=/usr/share/man/man1 \
+ install || return 1
+ install -d "$pkgdir"/var/www/acme "$pkgdir"/etc/ssl/acme
+ install -dm0700 "$pkgdir"/etc/ssl/acme/private "$pkgdir"/etc/acme
}
md5sums="a4a84688c8e8700f60a2e5379cd0af48 acme-client-0.1.15.tar.gz